Version 2.3.1 is a legacy release, and these documents are no longer being maintained.

Requirements

Hardware and server environment

Please note that it is difficult to provide an authoritative baseline or recommended system specification for running AtoM because what is considered an “acceptable” performance level is subjective, and the performance of the application depends greatly on factors such as the how much data is in the database, and how many users are accessing the site simultaneously.

Furthermore, AtoM makes use of different components and services that could be deployed in a distributed manner (across multiple machines in a network) in order to accept an escalating number of users. The main goal of this documentation is to describe the configuration of AtoM and its dependencies on a single machine, but some aspects of a installation-multi-node will also be described.

Software dependencies (required)

These are the minimum requirements, but please remember that in most of the cases you’ll experience better results working with the latest stable releases of each component.

  • A webserver like Apache or Nginx; Artefactual prefers the latter in development
  • Elasticsearch 1.3.0 or newer (users have reported testing Elasticsearch 1.7 without problems). Elasticsearch 2.0 or newer is still not supported as they have deprecated a number of APIs still used in AtoM
  • Oracle Java 7 or newer (required for Elasticsearch)
  • MySQL 5.1 or newer
  • PHP 5.5, 5.6, 7.0 or newer
  • Memcached
  • Gearman job server

Additionally, the following PHP extensions are mandatory:

  • cURL
  • JSON
  • APC (apcu in PHP 5.5+, apcu-bc also required in PHP 7.0+)
  • PDO and PDO-MySQL
  • XSL

Optionally:

  • Readline (not available in Windows).
  • Memcache

Note

All these dependencies can run in a number of different operative systems, including Windows, Mac OS X, Solaris, FreeBSD or Linux.